#echo $Name has uploaded $FUp to $Dir >> E:\TIMS\logs\eventlog.log
#Create date variable subtracting 10 minutes from current time
#$PAST  = ((Get-Date).AddMinutes(-90))
#
#http://colleenmorrow.com/2012/09/20/parsing-windows-event-logs-with-powershell/
#Event log message data
#$LoginID,$FullName,$Time,$LocalHomeDirectory,$LocalFileName
#
#
#.".variables.ps1"

. (Join-Path $PSScriptRoot variables.ps1)

$DATE = (get-date).ToString('yyyyMMdd')
$LOCATION = "$TIMSDIR\logs\"
$servers = "zeona"
$EVENTS = Get-WinEvent -FilterHashTable @{ProviderName='Serv-U'}

# Debugging echo for populated Events
 #Echo "Events: "$EVENTS
 
# Debugging echo for the processing step
 Echo "Creating CSV file with event log contents for passing to Automic"
 foreach ($EVENT in $EVENTS)
	{
	$LOCATIONID = $EVENT.RecordId

	# Debugging for echoing each ID
	#Echo "LocationID: "$LOCATIONID

	
	$PROCESSEDLOCATION = "$TIMSDIR\ProcessedLogs\"
	$PROCESSED = "$PROCESSEDLOCATION$LOCATIONID.csv"
	$VALUE = ({$_.RecordID[0]} | % {$EVENT.Message})
	$global:TO = "$LOCATION$LOCATIONID.csv"
	#Echo $TO
	
	if(!(Test-Path $PROCESSED))
		{
		if( !(Test-Path $TO))
		{
	# Debugging echo for creating CSV file
	Echo "Creating CSV for transfer event  "$LOCATIONID
	
	New-Item -ItemType file -Value "$VALUE,$servers" -Path $TO
		}
		ELSE {
	# Debugging for echoing file exists
	#Echo "CSV "$LOCATIONID" already exists."
	OUT-NULL
	}
		}
	ELSE {
	# Debugging for echoing file exists
	#Echo "CSV "$LOCATIONID" already exists."
	OUT-NULL
	}
	}
    

. (Join-Path $PSScriptRoot callapi.ps1)